<!DOCTYPE html>
<html>
<body>

<h2>Client 1 - WEBSOCKET</h2>

<p id="msg">New message appears here...</p>
<p id="conlog">console log</p>

<p>send new message: <input id="newmsgtxt" type="text"/></p>
<button type="button" onclick="sendMessage()">Send</button>
<p>last sent message: <output id="lastmsgtxt">...</output></p>


<script>
var ws = new WebSocket('ws://localhost:8080/1/ws_message');

ws.onopen = () => {
  document.getElementById('conlog').innerText = 'connected';
};

ws.onclose = () => {
  document.getElementById('conlog').innerText = 'disconnected';
};

ws.onerror = error => {
  document.getElementById('conlog').innerText = 'failed to connect';
};

ws.onmessage = function(msg) {
    document.getElementById('msg').innerText = msg.data;
};

function sendMessage() {
    var newmsg = document.getElementById('newmsgtxt').value;
    ws.send(newmsg);
    document.getElementById('lastmsgtxt').innerText = newmsg;
}
</script>


<p><A HREF = "http://localhost:8080/api/1/index">Index page</A></p>

</body>
</html>
